;==============================================================================
; VARDYA-MIHALAS-WHITTAKER EQUATION OF STATE
;------------------------------------------------------------------------------
; EXAMPLE 01: Solve the EOS for a single pair of (T, p)
;==============================================================================

PRO vmw_example_01

name = 'example01'
nx = 2
nz = 2
t = [1.D4]
p = [1.D2]
tp = 1

;===============================================================================
; Compute the EOS
;===============================================================================

;-------------------------------------------------------------------------------
; Setup
;-------------------------------------------------------------------------------
error = 1.D-8 
initial_guess = '0.01pgas'
abundances = 'AG89'       
partition_function = 'irwin'

name = name + '_' + abundances

;-------------------------------------------------------------------------------
; Run the code
;-------------------------------------------------------------------------------
s = EOS_VMW(t, p, $
           initial_guess = initial_guess, $
           abundances = abundances, $
           partition_function = partition_function, $
           error = error, $
           /extended, $
           output = 4, tp = tp)

HELP, s
stop
END










